WaMCP
Api referencemessaging

Send List

Send a list menu with sections. Text body only.

POST
/api/messaging/send-list

Send a list menu with sections. Text body only.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/messaging/send-list" \  -H "Content-Type: application/json" \  -d '{    "client_id": "string",    "to": "string",    "body": "string",    "sections": [      {        "title": "string",        "rows": [          {            "id": "string",            "title": "string"          }        ]      }    ]  }'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}